Subject: Re: [v6ops] Re: [Witarea] Re: How to make an elegant IPv4 outage
From: Ole Trøan <[email-masked]>
To: Tim Chown <[email-masked]>
Cc: Phillip Hallam-Baker <[email-masked]>, Franck Martin <[email-masked]>, Philipp Tiesel <[email-masked]>, Xipengxiao <[email-masked]>, S Moonesamy <[email-masked]>, witarea <[email-masked]>, ietf <[email-masked]>, v6ops <[email-masked]>
Date: Fri, 12 Jun 2026 12:54:16 +0200
List-Id: "IETF-Discussion. This is the most general IETF mailing list, intended for discussion of technical, procedural, operational, and other topics for which no dedicated mailing lists exist." <ietf.ietf.org>

Tim,

> Well, that’s 6man, this is v6ops.  If bad operational procedures are followed, we should highlight those with pointers to the good.  Doesn’t have to name names I suppose.

You could. But it’s a world of inconsistency. DHCPv6 PD lifetimes was recommended to mirror the lifetime of the customer contract. But then you got into issues with state maintenance on intermediate routers, and ended up with short lifetimes, so RR has no visibility into the actual lifetime of the prefix. 
Then providers raised the issue of rebalancing customers between eg CMTSs, where maintaining the same prefix has a cost.
And I am sure a desire for tiered products. 
A combination of ipv6 protocols, business practices and operational reality.

Ole

> 
> On 12/06/2026, 10:48, "Ole Trøan" <[email-masked]> wrote:
> 
> 
> Perhaps we need to start draft-v6ops-ipv6-dinosaurs and start to name and shame such organisations and what they’re doing wrong… polite but objective critique and pointers in the doc to best practice.
> 
> It may produce a better outcome if we instead focus on fixing the gaps in ipv6.  
> 
> Ole
> 
> 
> 
> On 11/06/2026, 21:03, "Phillip Hallam-Baker" <[email-masked]> wrote:
> 
> Just got off the phone with a very large ISP after a failed attempt to get an IPv6 address.
> 
> Turns out that I can have IPv6 but only dynamic and only if I am on dynamic IPv4. I cannot get IPv6 for my service with static IPv4 addresses.
> 
> Seems to me that we are still a long way away from being able to shutter IPv4 completely.
> 
> What I have not yet tried but should is trying to use the IPv6 mapping of my IPv4 addresses.
> _______________________________________________
> v6ops mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]